require_relative 'lib/yousty/http/version'

Gem::Specification.new do |spec|
  spec.name          = 'yousty-http'
  spec.version       = Yousty::HTTP::VERSION
  spec.authors       = ['Sebastian Wilgosz']
  spec.email         = ['sebastian@useo.pl']

  spec.summary       = 'An http connection abstraction used in all services.'
  spec.description   = 'This gem is to unify and manage http connection for our microservices.'
  spec.homepage      = 'https://github.com/yousty/yousty-http.'
  spec.license       = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.3.0')

  spec.metadata['allowed_push_host'] = 'https://rubygems.org'

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://github.com/yousty/yousty-http'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']
  spec.add_dependency 'faraday', '~>1'
  spec.add_dependency 'ice_nine', '~>0.11.2'
end
